DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Classes | Public Member Functions | Protected Attributes | List of all members
FrameSorter Class Referenceabstract

Abstract class for sorting a set of frames in a functional group. More...

Inheritance diagram for FrameSorter:

## Classes
struct | FramePositions
| Structure that holds Image Position (Patient) values for frames. More...
struct | Results
| Structure that transports the results of a frame sorting operation. More...

## Public Member Functions
| FrameSorter ()
| Default constructor, does nothing.
void | setSorterInput (FGInterface *fg)
| Set input data for this sorter. More...
virtual | ~FrameSorter ()
| Virtual default desctructor, does nothing.
virtual void | sort (Results &results)=0
| Return a frame order that is determined by the implementation of the particular derived class. More...
virtual OFString | getDescription ()=0
| Get description of the sorting algorithm this class uses. More...

## Protected Attributes
FGInterface * | m_fg
| Pointer to functional groups to work on. Not owned by this class.

## Detailed Description

Abstract class for sorting a set of frames in a functional group.

The sorting criteria are up to the actual implementation classes.

## Class Documentation

## ◆ FrameSorter::FramePositions

struct FrameSorter::FramePositions

Structure that holds Image Position (Patient) values for frames.

## Member Function Documentation

## ◆ getDescription()

virtual OFString FrameSorter::getDescription | ( |  | ) |
| pure virtual

Get description of the sorting algorithm this class uses.

Returns
  Free text description of the sorting algorithm used.

Implemented in FrameSorterIPP, and FrameSorterIdentity.

## ◆ setSorterInput()

void FrameSorter::setSorterInput | ( | FGInterface * | fg | ) |
| inline

Set input data for this sorter.

Parameters

  fg | The functional groups to work on. Ownership of pointer stays with the caller.

References m_fg.

## ◆ sort()

virtual void FrameSorter::sort | ( | Results & | results | ) |
| pure virtual

Return a frame order that is determined by the implementation of the particular derived class.

E.g. a sorting by Plane Position (Patient) could be implemented.

Parameters

  results | The results of the sorting procedure. Should be empty (cleared) when handed into the function.

Implemented in FrameSorterIPP, and FrameSorterIdentity.

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/framesorter.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1